* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

body {
    display: flex;
    height: 100vh;
    justify-content: center;
    align-items: center;
    background-color: #ffbd59;
    background-size: cover;
}

.container {
    width: 100%;
    max-width: 650px;
    background: rgba(0, 0, 0, 0.5);
    padding: 28px;
    border-radius: 10px;
    box-shadow: inset -2px 2px 2px white;
}

.form-title {
    font-size: 26px;
    font-weight: 600;
    text-align: center;
    padding-bottom: 6px;
    color: white;
    text-shadow: 2px 2px 2px black;
    border-bottom: solid 1px white;
}

.main-user-info {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 20px 0;
}

.user-input-box:nth-child(2n) {
    justify-content: end;
}

.user-input-box {
    display: flex;
    flex-wrap: wrap;
    width: 50%;
    padding-bottom: 5px;
}

.user-input-box label {
    width: 95%;
    color: white;
    font-size: 20px;
    font-weight: 400;
    margin: 5px 0;
}

.user-input-box input {
    height: 40px;
    width: 95%;
    border-radius: 7px;
    outline: none;
    border: 1px solid white;
    padding: 0 10px;
}

.user-input-box select {
    height: 40px;
    width: 95%;
    border-radius: 7px;
    outline: none;
    border: 1px solid white;
    padding: 0 10px;
}

.alamat-input-box {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    padding-bottom: 5px;
}

.alamat-input-box label {
    width: 95%;
    color: white;
    font-size: 20px;
    font-weight: 400;
    margin: 5px 0;
}

.alamat-input-box textarea {
    height: 80px;
    width: 100%;
    border-radius: 7px;
    outline: none;
    border: 1px solid white;
    padding: 0 10px;
}

.foto-input-box {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.foto-input-box label {
    width: 95%;
    color: white;
    font-size: 20px;
    font-weight: 400;
    margin: 5px 0;
}

.hobi-input-box {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.hobi-input-box label {
    width: 95%;
    color: white;
    font-size: 20px;
    font-weight: 400;
    margin: 5px 0;
}

.hobi-category {
    margin: 5px 0;
    color: white;
}

.hobi-category label {
    padding: 0 20px 0 5px;
}

.gender-user-info {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.gender-title {
    width: 95%;
    color: white;
    font-size: 20px;
    font-weight: 400;
    margin: 5px 0;
}

.gender-category {
    margin: 5px 0;
    color: white;
}

.gender-category label {
    padding: 0 20px 0 5px;
}

.gender-category label,
.gender-category input,
.hobi-category label,
.hobi-category input,
.form-cancel-btn input,
.form-submit-btn input {
    cursor: pointer;
}

.form-submit-btn {
    margin-top: 40px;
}

.form-submit-btn input {
    display: block;
    width: 100%;
    margin-top: 10px;
    font-size: 20px;
    padding: 10px;
    border: none;
    border-radius: 3px;
    color: rgb(209, 209, 209);
    background: rgba(63, 114, 76, 0.7);
}

.form-submit-btn input:hover {
    background: rgba(56, 204, 93, 0.7);
    color: white;
}

.form-cancel-btn {
    margin-top: 10px;
}

.form-cancel-btn a {
    text-decoration: none;
}

.form-cancel-btn input {
    display: block;
    width: 100%;
    margin-top: 10px;
    font-size: 20px;
    padding: 10px;
    border: none;
    border-radius: 3px;
    color: rgb(209, 209, 209);
    background: rgba(114, 63, 76, 0.7);
    cursor: pointer;
}

.form-cancel-btn input:hover {
    background: red;
    color: white;
}

@media(max-width : 300px) {
    .container {
        min-width: 280px;
    }
    .user-input-box {
        margin-bottom: 12px;
        width: 100%;
    }
    .alamat-input-box {
        margin-bottom: 12px;
        width: 100%;
    }
    .foto-input-box {
        margin-bottom: 12px;
        width: 100%;
    }
    .user-input-box:nth-child(2n) {
        justify-content: space-between;
    }
    .alamat-input-box:nth-child(2n) {
        justify-content: space-between;
    }
    .foto-input-box:nth-child(2n) {
        justify-content: space-between;
    }
    .gender-category {
        display: flex;
        justify-content: space-between;
        width: 100%;
    }
    .hobi-category {
        display: flex;
        justify-content: space-between;
        width: 100%;
    }
    .main-user-info {
        max-height: 380px;
        overflow: auto;
    }
    .main-user-info::-webkit-scrollbar {
        width: 0;
    }
}